Macaulay2 » Documentation
Packages » NCAlgebra :: centralElements
next | previous | forward | backward | up | index | toc

# centralElements -- Finds central elements in a given degree

- Usage:
    `centralElements(A,n)`
- Inputs:
  - A, an instance of the type NCRing,
  - n, an integer, the homogeneous degree in which to compute central elements
- Outputs:
  - an instance of the type NCMatrix,

## Description

If the given NCRing has central elements of the specified degree, this method returns a basis for the space of central elements in that degree.

    i1 : B = threeDimSklyanin(QQ,{1,1,-1},{x,y,z})
    --Calling Bergman for NCGB calculation.
    Complete!

    o1 = B

    o1 : NCQuotientRing

    i2 : centralElements(B,2)

    o2 = | x^2 y*x+x*y y^2 |

    o2 : NCMatrix

    i3 : centralElements(B,3)

    o3 = | y^3-y*x*z+x*y*z-x^3 |

    o3 : NCMatrix

## Ways to use centralElements:

- `centralElements(NCRing,ZZ)`

## For the programmer

The object centralElements is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:2448:0.